## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemUse Class Reference

`#include <ElemUse.hpp>`

Inheritance diagram for ElemUse:

[legend]
Collaboration diagram for ElemUse:

[legend]
List of all members.

## Public Types

- typedef size_t size_type

## Public Methods

- ElemUse (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, int lineNumber, int columnNumber, int xslToken)
    Construct an object corresponding to an "use-attribute-sets" attribute. More...
- virtual ~ElemUse ()
- bool processUseAttributeSets (StylesheetConstructionContext &constructionContext, const XalanDOMChar *attrName, const AttributeListType &atts, int which)
    See if this is a use-attribute-sets attribute, and, if so, process it. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void postConstruction (StylesheetConstructionContext &constructionContext, const NamespacesHandler &theParentHandler)
    Called after construction is completed. More...
- virtual void execute (StylesheetExecutionContext &executionContext) const
    Execute the element's primary function. More...

## Protected Methods

- virtual void doExecute (StylesheetExecutionContext &executionContext, bool applyAttributeSets) const
    Execute and conditionally apply any attribute sets. More...

## Member Typedef Documentation

typedef size_t ElemUse::size_type

## Constructor & Destructor Documentation

ElemUse::ElemUse ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| int lineNumber,
| int columnNumber,
| int xslToken )

  | Construct an object corresponding to an "use-attribute-sets" attribute. This is a base class for "xsl:element," "xsl:copy" and "xsl:attribute-set" elements, which may specify attribute sets to use. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

ElemUse::~ElemUse ( | )`[virtual]`

## Member Function Documentation

void ElemUse::doExecute ( | StylesheetExecutionContext & executionContext,
| bool applyAttributeSets ) const`[protected, virtual]`

  | Execute and conditionally apply any attribute sets. To be used by deriving classes who want ElemUse to do any default execution but skip applying attribute sets. Typically, this would be done when attempting to recover from an error. Parameters:
  executionContext | The current execution context.
  applyAttributeSets | If true, attribute sets will be applied.

void ElemUse::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Execute the element's primary function. Subclasses of this function may recursively execute down the element tree. Parameters:
  executionContext | The current execution context
Reimplemented from ElemTemplateElement. Reimplemented in ElemAttributeSet, ElemCopy, ElemElement, ElemExtensionCall, and ElemLiteralResult.

const XalanDOMString & ElemUse::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement. Reimplemented in ElemAttributeSet, ElemCopy, ElemElement, and ElemLiteralResult.

void ElemUse::postConstruction ( | StylesheetConstructionContext & constructionContext,
| const NamespacesHandler & theParentHandler )`[virtual]`

| Called after construction is completed. Reimplemented from ElemTemplateElement. Reimplemented in ElemLiteralResult.

bool ElemUse::processUseAttributeSets ( | StylesheetConstructionContext & constructionContext,
| const XalanDOMChar * attrName,
| const AttributeListType & atts,
| int which )

  | See if this is a use-attribute-sets attribute, and, if so, process it. Parameters:
  attrName | qualified name of attribute
  atts | attribute list where the element comes from (not used at this time)
  which | index into the attribute list (not used at this time)
Returns: true if this is a use-attribute-sets attribute

The documentation for this class was generated from the following file:

- ElemUse.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.